Bio::SeqIO::game(3)

NAME
Bio::SeqIO::game -- a class for parsing and writing game-XML

SYNOPSIS
This module is not used directly, use SeqIO.

 use Bio::SeqIO;

 my $in = Bio::SeqIO->new ( -file    => 'file.xml',
                            -format  =>  'game',
                            -verbose => 1 );

 my $seq = $in->next_seq;

DESCRIPTION
Bio::SeqIO::game will parse game XML (version 1.2) or write game XML from a Bio::SeqI implementing object. The XML is readable by the genome annotation editor 'Apollo' (www.gmod.org). It is not backwards compatible with the previous version of game XML. The XML format currently used by Apollo contains a single 'main' annotated sequence, so we will only get a single annotated sequence in the stream when parsing a game-XML record.

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to one of the Bioperl mailing lists.

Your participation is much appreciated.

  bioperl-l@bioperl.org                  - General discussion
  http://bioperl.org/wiki/Mailing_lists  - About the mailing lists

  Support
Please direct usage questions or support issues to the mailing list:

bioperl-l@bioperl.org

rather than to the module maintainer directly. Many experienced and reponsive experts will be able look at the problem and quickly address it. Please include a thorough description of the problem with code and data examples if at all possible.

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution.

Bug reports can be submitted via the web:

  http://bugzilla.open-bio.org/

AUTHOR - Sheldon McKay
Email mckays@cshl.edu

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  next_seq
 Title   : next_seq
 Usage   : my $seq = $seqio->next_seq;
 Function: get the main sequence object
 Returns : a Bio::Seq::RichSeq object
 Args    : none

  write_seq
 Title   : write_seq
 Usage   : $seqio->write_seq($seq)
 Function: writes a sequence object as game XML
 Returns : nothing
 Args    : a Bio::SeqI compliant object

  _getseqs
 Title   : _getseqs
 Usage   : $self->_getseqs
 Function: An internal method to invoke the PerlSAX XML handler and get
           the sequence objects
 Returns : an reference to an array with sequence object and annotations
 Args    : none

  _hide_dna
 Title   : _hide_dna
 Usage   : $seqio->_hide_dna
 Function: Hide the DNA for really huge sequences
 Returns : nothing
 Args    : none